# SPIT

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
AUTHOR
REPORTING BUGS
COPYRIGHT
SEE ALSO

## NAME

spit - translate some text through a Large Language Model

## SYNOPSIS

spit [OPTION...]

## DESCRIPTION

Passes standard input to a Large Language Model (LLM) instance and prints the response. With the --to option, it translates standard input to the specified language through a Large Language Model (LLM) and prints the translation.

Warning: The output might not be what you expect. It might be of the wrong form, be of poor quality, or reflect some biases.

## OPTIONS

--species=TYPE

Specifies the type of LLM. The default and only valid value is ’ollama’.

--url=URL

Specifies the URL of the server that runs the LLM.

-m, --model=MODEL

Specifies the model to use.

--to=LANGUAGE

Specifies the target language.

--prompt=TEXT

Specifies the prompt to use before standard input. This option overrides the --to option.

--postprocess=COMMAND

Specifies a command to post-process the output.

Informative output:
-h, --help

Display this help and exit.

-V, --version

Output version information and exit.

## AUTHOR

Written by Bruno Haible.

## REPORTING BUGS

Report bugs in the bug tracker at <https://savannah.gnu.org/projects/gettext> or by email to <bug-gettext@gnu.org>.

## COPYRIGHT

Copyright © 2025-2026 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

## SEE ALSO

The full documentation for spit is maintained as a Texinfo manual. If the info and spit programs are properly installed at your site, the command

info spit

should give you access to the complete manual.